
Redmine - Patch #18764

upgrade guide: file permissions

2015-01-06 16:53 - Lukas Pirl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Description

Problem:

The files in the tar.gz release archives belong to a certain user and are preserved per default if extracted as root. This makes them

inaccessible to the user running the application server in most cases.

Similar effects can probably be observed when extracting the zip archive with a strict umask.

Cause:

The page RedmineUpgrade lacks a step to ensure file ownership/permissions.

This is no big deal but the guide could avoid a minor frustration providently.

Fix:

To solve this, I'd introduce step 9 under Step 3 - Perform the upgrade -> Option 1 - Download a stable release:

1. Make sure the newly extracted and copied files and directories have the correct owner and group set, so that the user/group

running your application server can actually access the files.

Also, remember to add write permissions to the files directory.

Or similar.

History

#1 - 2015-01-26 12:25 - Toshi MARUYAMA

- Category changed from Website (redmine.org) to Documentation

- Assignee deleted (Jean-Philippe Lang)

#2 - 2015-01-26 12:33 - Toshi MARUYAMA

- Tracker changed from Defect to Patch

- Status changed from New to Closed

Added as version 72, thanks.

#3 - 2015-03-03 15:03 - Lukas Pirl

- Status changed from Closed to Reopened

I just came across another directory that should be mentioned: tmp should have write permissions to the user running the app server as well.

So

Also, remember to add write permissions to the files directory.

 should be

Also, remember to add write permissions to the @files@, @log@ and @tmp@ directory.

 Thanks in advance!

#4 - 2015-03-06 10:24 - Go MAEDA

- Status changed from Reopened to Closed

Thank you for providing additional information.

I fixed the page: 

2025-07-01 1/2

https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade


http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade/diff?utf8=%E2%9C%93&version=74&version_from=73&commit=View+differences
